%global debug_package %{nil}

%global common_description %{expand:
Magic Enum is a header-only C++17 library that provides static reflection for
enums, working with any enum type without any macro or boilerplate code.}

Name:           magic_enum
Version:        0.9.5
Release:        %autorelease
Summary:        Static reflection for enums for modern C++

License:        MIT
URL:            https://github.com/Neargye/magic_enum
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  meson  

%description    %{common_description}


%package        devel
Summary:        %{summary}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}

%description    devel %{common_description}

%prep
%autosetup -p1

%build
%meson -Dtest=true -Dhash=true
%meson_build

%install
install -Ddpm0755 %{buildroot}%{_includedir}/%{name}
cp -pr include/%{name}/*.hpp %{buildroot}%{_includedir}/%{name}/

%check
%meson_test

%files devel
%license LICENSE
%doc README.md doc/*.md
%{_includedir}/%{name}/

%changelog
%autochangelog
